package smash.appointment.parse;

public enum AppointmentType {
	LEVEL_BV(90,"BV"), //
	LEVEL_BG(30,"BG"), //
	LEVEL_SB(30,"SB"), //

	LEVEL_A_TQ(120,"A_TQ"), //
	LEVEL_AN(60,"AN"), //
	LEVEL_ANP(60,"ANP"), //
	LEVEL_ASAMP(60,"ASAMP"), //
	LEVEL_AWELC(15,"AWELC"), //
	LEVEL_AQUEST(0,"AQUEST"), //
	LEVEL_B(90,"B"), //
	LEVEL_B_M_POWER(70,"mPower"), //
	OTHER(60,"OTHER"), //
	;

	private int time;
	private String abbreviation;
	
	private AppointmentType(int defaultTime, String abbreviation) {
		this.time=defaultTime;
		this.abbreviation=abbreviation;
	}
	public int getTime() {
		return time;
	}
	public String getAbbreviation() {
		return abbreviation;
	}

}
