# coding=utf-8
import logging

from django.views.generic import TemplateView
from . import wrap_response
from web.models.worker_study_role import STUDY_ROLE_CHOICES

class TemplateDailyPlannerView(TemplateView):
    def get(self, request, *args, **kwargs):
        context = self.get_context_data(**kwargs)
        context['worker_study_roles'] = STUDY_ROLE_CHOICES
        return wrap_response(request, 'daily_planning.html', context)